Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 267161 - media-video/mplayer hangs on configuration
Summary: media-video/mplayer hangs on configuration
Status: RESOLVED TEST-REQUEST
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: AMD64 Linux
: High normal (vote)
Assignee: media-video herd
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-04-23 06:37 UTC by dan
Modified: 2009-10-26 18:50 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
mplayer configure.log (configure.log,64.55 KB, text/plain)
2009-05-03 20:03 UTC, dan
Details

Note You need to log in before you can comment on or make changes to this bug.
Description dan 2009-04-23 06:37:11 UTC
every time I try to configure mplayer, with or without png support it hangs on this line:

Checking for PNG support ...


there is no error to report, it just hangs there forever no matter if i turn png support off or on and i get no errors on build logs.

but i do see this in top

PID USER      PR  NI  VIRT  RES  SHR S %CPU %MEM    TIME+  COMMAND
18513 root      20   0 62112  10m 6220 R  100  0.3   0:12.49 mplayer-conf-31

i've left it hang for upwards of an hour, so i don't think just waiting is a going to work



Reproducible: Always

Steps to Reproduce:
1. emerge mplayer
2. wait


Actual Results:  
nothing, mplayer hangs

Expected Results:  
mplayer should have started compilation

here is my emerge --info

Portage 2.1.6.11 (default/linux/amd64/2008.0/desktop, gcc-4.3.3, glibc-2.9_p20081201-r2, 2.6.28-gentoo-r3 x86_64)
=================================================================
System uname: Linux-2.6.28-gentoo-r3-x86_64-Intel-R-_Core-TM-2_Quad_CPU_Q6600_@_2.40GHz-with-gentoo-2.0.0
Timestamp of tree: Thu, 23 Apr 2009 04:30:01 +0000
app-shells/bash:     4.0_p17-r1
dev-java/java-config: 1.3.7-r1, 2.1.7
dev-lang/python:     2.5.4-r2, 2.6.2
dev-util/cmake:      2.6.3-r1
sys-apps/baselayout: 2.0.0
sys-apps/openrc:     0.4.3-r2
sys-apps/sandbox:    1.9
sys-devel/autoconf:  2.13, 2.63-r1
sys-devel/automake:  1.4_p6, 1.5, 1.7.9-r1, 1.8.5-r3, 1.9.6-r2, 1.10.2
sys-devel/binutils:  2.19.1-r1
sys-devel/gcc-config: 1.4.1
sys-devel/libtool:   2.2.6a
virtual/os-headers:  2.6.28-r1
ACCEPT_KEYWORDS="amd64 ~amd64"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-O2 -march=nocona -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/kde/3.5/env /usr/kde/3.5/share/config /usr/kde/3.5/shutdown /usr/share/config"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/udev/rules.d"
CXXFLAGS="-O2 -march=nocona -pipe"
DISTDIR="/usr/portage/distfiles"
FEATURES="distfiles distlocks fixpackages metadata-transfer paralell-fetch parallel-fetch protect-owned sandbox sfperms strict unmerge-orphans userfetch"
GENTOO_MIRRORS="ftp://gentoo.netnitco.net/pub/mirrors/gentoo/source/"
LDFLAGS="-Wl,-O1"
LINGUAS="en"
MAKEOPTS="-j8"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/portage/layman/nouveau /usr/local/portage/layman/haskell"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="3dnow 3dnowext X Xaw3d Xorg aac aalib acl acpi alsa amd64 bash-completion berkdb bluetooth branding bzip2 cairo cdr cli cracklib crypt css cups curl db dbus dmix dri dvd dvdr dvdread eds emacs emboss encode esd evo expat fam ffmpeg flac fontconfig fortran ftp gdbm gentoo-artwork gif git glib gmp gnome gnutls gphoto2 gpm gstreamer gtk hal haskell iconv ieee1394 ipod ipv6 isdnlog java jpeg jpg kde kdehiddenvisibility lame ldap libnotify mad mesa midi mikmod mmx mmxext mono mp3 mp4 mpeg mplayer mudflap multilib mysql nano ncurses nls nptl nptlonly nsplugin nvidia ogg openal opengl openmp pam pango pcre pdf perl png ppds pppd python qt3 qt3support qt4 quicktime readline reflection sdl session smp sndfile spell spl sse sse2 sse3 ssl ssse3 startup-notification subversion svg symlink sysfs tcpd tiff toolkit-scroll-bars truetype twinview unicode usb vcd vorbis webkit wmv xcomposite xinerama xml xorg xulrunner xv xvid zlib" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" ELIBC="glibc" INPUT_DEVICES="keyboard mouse evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LINGUAS="en" USERLAND="GNU" VIDEO_CARDS="vesa nv nvidia nouveau"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, FFLAGS, INSTALL_MASK, LANG, LC_ALL, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS
Comment 1 Lars Wendler (Polynomial-C) gentoo-dev 2009-04-26 13:36:14 UTC
Please post the output of 

  emerge -qpv mplayer

and attach the config.log file after you have interrupted the hanging emerge...
Comment 2 dan 2009-04-26 13:45:25 UTC
(In reply to comment #1)
> Please post the output of 
> 
>   emerge -qpv mplayer
> 
> and attach the config.log file after you have interrupted the hanging emerge...
> 


you sure you mean -p?
Comment 3 Sebastian Luther (few) 2009-04-26 18:13:42 UTC
(In reply to comment #2)
> (In reply to comment #1)
> > Please post the output of 
> > 
> >   emerge -qpv mplayer
> > 
> > and attach the config.log file after you have interrupted the hanging emerge...
> > 
> 
> 
> you sure you mean -p?
> 

That's what he means.
Comment 4 dan 2009-04-29 07:57:45 UTC
(In reply to comment #1)
> Please post the output of 
> 
>   emerge -qpv mplayer
> 
> and attach the config.log file after you have interrupted the hanging emerge...
> 

this is all it does, where is the log file you want?

new-host portage #  emerge -qpv mplayer
[ebuild     U ] media-video/mplayer-1.0_rc2_p20090322 [1.0_rc2_p28288] USE="3dnow 3dnowext X a52 aac aalib alsa amrnb* amrwb* ass cddb* cdio* dirac* dts* dv* dvd dvdnav* enca* encode esd faac%* faad%* ftp gif gtk iconv ipv6 jpeg live* mad mmx mmxext mp2* mp3 nemesi* network%* openal opengl png quicktime rar* real* rtc* schroedinger* sdl speex* sse sse2 ssse3* theora tremor%* truetype unicode vorbis x264* xinerama* xscreensaver xv xvid (-altivec) -arts -bidi -bindist -bl -cdparanoia -cpudetection -custom-cflags -custom-cpuopts -debug -dga -directfb -doc -dvb -dxr3 -fbcon -ggi -jack -joystick -ladspa -libcaca -lirc -lzo -md5sum -mng -musepack -nas -oss -pnm -pulseaudio -pvr -radio -samba (-svga) -teletext -tga -v4l -v4l2 -vdpau% (-vidix) (-win32codecs) -xanim -xvmc -zoran" VIDEO_CARDS="nvidia%* vesa -mga -s3virge -tdfx"
new-host portage #                 
Comment 5 Lars Wendler (Polynomial-C) gentoo-dev 2009-05-03 14:19:05 UTC
I wanted to have the output of "emerge -qpv mplayer" posted so we can see which USE flags you are using for compiling mplayer.
The config.log file for mplayer usually can be found in /var/tmp/portage/media-video/mplayer/work/mplayer-[the version you are trying to emerge]/
Comment 6 dan 2009-05-03 20:03:21 UTC
Created attachment 190253 [details]
mplayer configure.log
Comment 7 dan 2009-05-03 20:03:44 UTC
(In reply to comment #5)
> I wanted to have the output of "emerge -qpv mplayer" posted so we can see which
> USE flags you are using for compiling mplayer.
> The config.log file for mplayer usually can be found in
> /var/tmp/portage/media-video/mplayer/work/mplayer-[the version you are trying
> to emerge]/
> 

there ya go, i've attached that log file
Comment 8 Lars Wendler (Polynomial-C) gentoo-dev 2009-05-08 15:55:16 UTC
Did you try to re-emerge media-libs/libpng?
Comment 9 dan 2009-05-08 18:46:48 UTC
(In reply to comment #8)
> Did you try to re-emerge media-libs/libpng?
> 

yes, i'll try again tonight
Comment 10 Sebastian Luther (few) 2009-05-12 10:58:57 UTC
Please report back and reopen the bug in necessary.
Comment 11 Anders Rune Jensen 2009-05-31 21:21:45 UTC
I have the same problem. Reemerging libpng didn't help.
Comment 12 Ian S 2009-06-05 11:58:04 UTC
(In reply to comment #11)
> I have the same problem. Reemerging libpng didn't help.
> 

I had exact same issue.
configure script compiles and executes a binary to test for png support.
This binary is stored in /tmp
ldd of this binary showed all linked libraries. I found this binary was linked to obsolete nvidia tls library found in /usr/lib/tls.
I simply moved this directory out of the way, ran ldconfig and then configure of mplayer worked as expected.
Comment 13 Thomas J. Moore 2009-10-23 02:19:36 UTC
Not sure why this is still "NEEDINFO", considering that the info was provided. I am having a similar issue (amd64 machine as well, but probably different combination of USE flags), except it stops at freetype2 detection, consistently.  Looking at the hung configure process with gdb didn't help much (nor did running the hung process in exactly the same environment), but I did notice the sandbox libraries in the backtrace.

In short, the following fixed it for me:

FEATURES=-sandbox emerge -O1 media-video/mplayer

If enough people request it, I might also provide more details (gdb backtrace, ps wchan info, my set of USE flags, etc.)
Comment 14 Sebastian Luther (few) 2009-10-23 07:01:01 UTC
Info provided...
Comment 15 Samuli Suominen (RETIRED) gentoo-dev 2009-10-26 18:50:18 UTC
This should be fixed with mplayer-1.0_rc4_p20091026, please reopen if you can still reproduce.